DOM::CSS2Cursor Class Reference

`#include <css_extensions.h>`

Inheritance diagram for DOM::CSS2Cursor:

## Public Member Functions

| CSS2Cursor (const CSS2Cursor &other)
| CSS2Cursor (CSS2CursorImpl *impl)
CSS2Cursor & | operator= (const CSS2Cursor &other)
unsigned short | cursorType () const
void | setCursorType (const unsigned short)
CSSValueList | uris () const
DOM::DOMString | predefinedCursor () const
void | setPredefinedCursor (const DOM::DOMString &)
Public Member Functions inherited from DOM::CSSValue
| CSSValue (const CSSValue &other)
| CSSValue (CSSValueImpl *impl)
CSSValue & | operator= (const CSSValue &other)
DOM::DOMString | cssText () const
void | setCssText (const DOM::DOMString &)
unsigned short | cssValueType () const
bool | isCSSValueList () const
bool | isCSSPrimitiveValue () const
CSSValueImpl * | handle () const
bool | isNull () const

## Additional Inherited Members

Public Types inherited from DOM::CSSValue
enum | UnitTypes { CSS_INHERIT = 0, CSS_PRIMITIVE_VALUE = 1, CSS_VALUE_LIST = 2, CSS_CUSTOM = 3, CSS_INITIAL = 4 }
Protected Attributes inherited from DOM::CSSValue
CSSValueImpl * | impl

## Detailed Description

The `CSS2Cursor` interface represents the cursor CSS Level 2 property.

Definition at line 559 of file css_extensions.h.

## Member Function Documentation

unsigned short CSS2Cursor::cursorType | ( |  | ) | const

A code defining the type of the property.

It would one of `CSS_UNKNOWN` or `CSS_INHERIT` . If the type is `CSS_UNKNOWN` , then `uris` contains a list of URIs and `predefinedCursor` contains an ident. Setting this attribute from `CSS_INHERIT` to `CSS_UNKNOWN` will set the `predefinedCursor` to `"auto"` .

Definition at line 354 of file css_extensions.cpp.

DOMString CSS2Cursor::predefinedCursor | ( |  | ) | const

This identifier represents a generic cursor name or an empty string.

Definition at line 373 of file css_extensions.cpp.

void CSS2Cursor::setCursorType | ( | const unsigned short | _cursorType | ) |

see cursorType

Definition at line 360 of file css_extensions.cpp.

void CSS2Cursor::setPredefinedCursor | ( | const DOM::DOMString & | value | ) |

see predefinedCursor

Exceptions

  DOMException | SYNTAX_ERR: Raised if the specified CSS string value has a syntax error and is unparsable.

NO_MODIFICATION_ALLOWED_ERR: Raised if this declaration is readonly.

Definition at line 379 of file css_extensions.cpp.

CSSValueList CSS2Cursor::uris | ( |  | ) | const

`uris` represents the list of URIs ( `CSS_URI` ) on the cursor property.

The list can be empty.

Definition at line 367 of file css_extensions.cpp.

The documentation for this class was generated from the following files:

- css_extensions.h
- css_extensions.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys